<?php
function CorePress_saveThemeset()
{
    global $set;
    $data['code'] = 200;
    $setdata['version'] = THEME_VERSION;
    $json = json_decode(file_get_contents('php://input'), true);
    if ($json) {
        $setdata['option'] = base64_decode($json['save']);
        if (options::saveData($setdata)) {
            $data['code'] = 1;
        } else {
            $data['code'] = 0;
        }
    } else {
        $data['code'] = 503;
    }
    wp_die(json_encode($data));
}

function CorePress_login()
{
    global $set;
    session_start();
    $array = array();
    $array['user_login'] = $_POST['user'];
    $array['user_password'] = $_POST['pass'];
    $array['remember'] = $_POST['remember'];
    $code = $_POST['code'];
    if ($set['user']['VerificationCode'] == 1) {
        if (strtoupper($code) != $_SESSION['authcode']) {
            $json['code'] = 0;
            $json['msg'] = '登录失败，验证码错误';
            wp_die(json_encode($json));
        }
    }
    $user = wp_signon($array);

    if (is_wp_error($user)) {
        $json['code'] = 0;
        $json['msg'] = '登录失败，账号或密码错误';
    } else {
        $userid = $user->data->ID;
        $json['code'] = 1;
        $json['msg'] = '登录成功';
    }
    wp_die(json_encode($json));
}

function CorePress_reguser()
{
    global $set;
    session_start();
    $array = array();
    $array['user_login'] = $_POST['user'];
    $array['user_pass'] = $_POST['pass'];
    $array['user_nicename'] = $_POST['user'];
    $array['user_email'] = $_POST['mail'];
    $code = $_POST['code'];

    if ($set['user']['regpageVerificationCode'] == 1) {
        if (strtoupper($code) != $_SESSION['authcode']) {
            $json['code'] = 0;
            $json['msg'] = '注册失败，验证码错误';
            wp_die(json_encode($json));
        }
    }

    if (email_exists($array['user_email']) != false) {
        $recode = CorePress_useractive('email', $array['user_email']);
        if ($recode == 1) {
            $json['code'] = 0;
            $json['msg'] = '注册失败，邮箱已存在!';
            wp_die(json_encode($json));
        } else if ($recode == 2) {
            $json['code'] = 0;
            $json['msg'] = '用户已存在，请前往激活!';
            wp_die(json_encode($json));
        }

    }
    if (username_exists($array['user_login']) != null) {
        $recode = CorePress_useractive('user_login', $array['user_login']);

        if ($recode == 1) {
            $json['code'] = 0;
            $json['msg'] = '注册失败，用户名已存在!';
            wp_die(json_encode($json));
        } else if ($recode == 2) {
            $json['code'] = 0;
            $json['msg'] = '用户已存在，请前往激活!';
            wp_die(json_encode($json));
        }
    }

    $res = wp_insert_user($array);
    if ($res) {
        if ($set['user']['regapproved'] == 'approved') {
            $json['code'] = 1;
            $json['msg'] = '注册成功!';
        } else if ($set['user']['regapproved'] == 'manualapprov') {
            //update_user_meta($res, 'corepress_approve', 1);
            $json['code'] = 2;
            $json['msg'] = '注册成功!请等待管理员审核后方可登陆';
        } else if ($set['user']['regapproved'] == 'mailapproved') {
            $json['code'] = 2;
            $json['msg'] = '注册成功!我们给您邮箱发送了一封激活邮件，请按照邮件提示激活用户';
        }
        wp_die(json_encode($json));
    } else {
        $json['code'] = 0;
        $json['msg'] = '注册失败!';
        wp_die(json_encode($json));
    }
}


/**
 * @param $field
 * @param $text
 * @return int 返回1已存在激活用户,0用户失效，重新注册；2用户已注册还没激活
 */
function CorePress_useractive($field, $text)
{
    //查看是否激活并且重新注册
    $userObj = get_user_by($field, $text);

    if (get_user_meta($userObj->ID, 'corepress_approve', true) == 0) {
        return 1;
    } else {

        $activation_key = $userObj->user_activation_key;

        if ($activation_key != null && strpos($activation_key, ":") != false) {
            $arr = explode(":", $activation_key);
            $time = $arr[0];
            $activation_key = $arr[1];
            $nowtime = time();

            if (($nowtime - $time) > 86400 || ($nowtime - $time) < -86400) {
                wp_delete_user($userObj->ID);
                return 0;
            } else {
                return 2;
            }
        }
    }
    return 1;
}

function CorePress_edit_window_html()
{
    ?>

    <div id="corepress-edit-window">
        <div class="corepress-edit-window">
            <h3>短代码</h3>
            <button class="el-button el-button--default el-button--small corepress-edit-window-btn"
                    onclick="addshortcode('title-plane')">标题面板
            </button>
            <button class="el-button el-button--default el-button--small corepress-edit-window-btn"
                    onclick="addshortcode('start-plane')">标星面板
            </button>
            <button class="el-button el-button--default el-button--small corepress-edit-window-btn"
                    onclick="addshortcode('icon-url')">图标超链接
            </button>
            <button class="el-button el-button--default el-button--small corepress-edit-window-btn"
                    onclick="addshortcode('zd-plane')">折叠面板
            </button>
            <button class="el-button el-button--default el-button--small corepress-edit-window-btn"
                    onclick="addshortcode('loginshow')">登录可见
            </button>
            <button class="el-button el-button--default el-button--small corepress-edit-window-btn"
                    onclick="addshortcode('clickshow')">点击可见
            </button>

            <h3>功能拓展</h3>
            <button class="el-button el-button--default el-button--small corepress-edit-window-btn"
                    onclick="addshortcode('corepress-code')">代码高亮
            </button>

            <button class="el-button el-button--default el-button--small corepress-edit-window-btn"
                    onclick="addshortcode('corepress-code-line')">行内代码
            </button>
            <p>
                <a href="https://www.yuque.com/applek/corepress/shortcode" target="_blank">短代码相关说明</a>
            </p>
        </div>
    </div>
    <?php
    wp_die();
}

function corepress_save_post_meta($post_id)
{
    // 安全检查
    // 检查是否发送了一次性隐藏表单内容
    if (!isset($_POST['corepress_meta_box_nonce'])) {
        return;
    }
    // 判断隐藏表单的值与之前是否相同
    if (!wp_verify_nonce($_POST['corepress_meta_box_nonce'], 'corepress_meta_box')) {
        return;
    }
    // 判断该用户是否有权限
    if (!current_user_can('edit_post', $post_id)) {
        return;
    }
    // 判断 Meta Box 是否为空
    if (!isset($_POST['corepress_post_meta'])) {
        return;
    }
    update_post_meta($post_id, 'corepress_post_meta', $_POST['corepress_post_meta']);
}

function corepress_resetuser()
{
    global $set;
    if (isset($_GET['pwd'])) {
        $pwd = $_GET['pwd'];
        if ($pwd == $set['user']['reuserpwd']) {
            $set['user']['loginpage'] = 0;
            $setdata['option'] = json_encode($set);
            $setdata['version'] = THEME_VERSION;
            options::saveData($setdata);

            wp_die('已关闭自定义登录页面');
        } else {

            wp_die('密码错误');

        }
    } else {
        wp_die('参数错误');
    }
}


function corepress_mailtest()
{
    global $set;
    $set['testmail']['user'] = $_POST['user'];
    $set['testmail']['pwd'] = $_POST['pwd'];
    $set['testmail']['host'] = $_POST['host'];
    $set['testmail']['port'] = $_POST['port'];
    $set['testmail']['name'] = $_POST['name'];
    $set['testmail']['type'] = $_POST['type'];
    $set['testmail']['testmail'] = $_POST['testmail'];
    add_action('phpmailer_init', 'corepress_mail_test', 10);
    $headers = array('Content-Type: text/html; charset=UTF-8');
    $mailre = wp_mail($set['testmail']['testmail'], 'CorePress主题测试邮件', '这是一封测试邮件，如果你看到这一条邮件，说明主题的SMTP服务器配置成功', $headers);
    remove_action('phpmailer_init', 'corepress_mail_test', 10);
    if ($mailre == 1) {
        $data['code'] = 200;
        $data['msg'] = '发送成功';
    } else {
        $data['code'] = 500;
        $data['msg'] = '发送失败';
    }
    wp_die(json_encode($data));
}

function corepress_mail_test($phpmailer)
{
    global $set;
    $phpmailer->From = $set['testmail']['user']; //发件人邮箱
    $phpmailer->FromName = $set['testmail']['name']; //发件人昵称
    $phpmailer->Host = $set['testmail']['host']; //SMTP服务器地址
    $phpmailer->Port = $set['testmail']['port']; //SMTP端口，常用端口有25、465、587
    $phpmailer->SMTPSecure = $set['testmail']['type']; //SMTP加密方式，常用的有SSL/TLS
    $phpmailer->Username = $set['testmail']['user']; //邮箱帐号
    $phpmailer->Password = $set['testmail']['pwd']; //邮箱密码。如果上面是qq邮箱这里就是QQ邮箱授权码。
    $phpmailer->IsSMTP(); //使用SMTP发送
    $phpmailer->SMTPAuth = true; //启用SMTPAuth服务
}

function corepress_approveuser()
{
    if (isset($_GET['key']) && $_GET['id']) {
        $key = $_GET['key'];
        $userid = $_GET['id'];
        if (get_user_meta($userid, 'corepress_approve', true) == 1) {
            $userObj = get_user_by('ID', $userid);
            $activation_key = $userObj->user_activation_key;
            if ($activation_key != null && strpos($activation_key, ":") == true) {
                $arr = explode(":", $activation_key);
                $time = $arr[0];
                $activation_key = $arr[1];
                $nowtime = time();
                if ($nowtime - $time > 86400 || $nowtime - $time < -86400) {
                    wp_die('激活过期，请重新注册');
                } else {
                    if ($key == $activation_key) {
                        update_user_meta($userid, 'corepress_approve', 0);
                        wp_die('激活成功！请登陆账号');
                    } else {
                        wp_die('激活错误');
                    }
                }
            }

        } else {
            wp_die('正常账户，请登陆');
        }
    }

}

add_action('wp_ajax_nopriv_corepress_approveuser', 'corepress_approveuser');
add_action('wp_ajax_corepress_mailtest', 'corepress_mailtest');
add_action('wp_ajax_nopriv_resetuser', 'corepress_resetuser');
add_action('wp_ajax_nopriv_corepress_login', 'CorePress_login');
add_action('wp_ajax_nopriv_corepress_reguser', 'CorePress_reguser');
add_action('wp_ajax_corepress_reguser', 'CorePress_reguser');

add_action('wp_ajax_save', 'CorePress_saveThemeset');//管理员调用
add_action('wp_ajax_geteditwindowhtml', 'CorePress_edit_window_html');//管理员调用
add_action('save_post', 'corepress_save_post_meta');
